## cascading.cascade
Class CascadeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cascading.CascadingException
                      cascading.cascade.CascadeException

All Implemented Interfaces:
  Serializable

    public class CascadeException

extends CascadingException

Class CascadeException is thrown by the `Cascade` class.

See Also:
  Serialized Form

Constructor Summary
`CascadeException()` Constructor CascadeException creates a new CascadeException instance.
`CascadeException(String string)` Constructor CascadeException creates a new CascadeException instance.
`CascadeException(String string, Throwable throwable)` Constructor CascadeException creates a new CascadeException instance.
`CascadeException(Throwable throwable)` Constructor CascadeException creates a new CascadeException instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CascadeException

    public CascadeException()

  Constructor CascadeException creates a new CascadeException instance.

### CascadeException

    public CascadeException(String string)

  Constructor CascadeException creates a new CascadeException instance.

  Parameters:
    `string` - of type String

### CascadeException

    public CascadeException(String string,
                            Throwable throwable)

  Constructor CascadeException creates a new CascadeException instance.

  Parameters:
    `string` - of type String
    `throwable` - of type Throwable

### CascadeException

    public CascadeException(Throwable throwable)

  Constructor CascadeException creates a new CascadeException instance.

  Parameters:
    `throwable` - of type Throwable

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.